/*****************************************************************************
* Copyright 2006 - 2008 Broadcom Corporation.  All rights reserved.
*
* Unless you and Broadcom execute a separate written software license
* agreement governing use of this software, this software is licensed to you
* under the terms of the GNU General Public License version 2, available at
* http://www.broadcom.com/licenses/GPLv2.php (the "GPL"). 
*
* Notwithstanding the above, under no circumstances may you combine this
* software in any way with any other Broadcom software provided under a
* license other than the GPL, without Broadcom's express prior written
* consent.
*****************************************************************************/



#include <common.h>
#include <asm/io.h>
#include <asm/mach-types.h>

DECLARE_GLOBAL_DATA_PTR;

/*****************************************
 * board_init -early hardware init
 *****************************************/
int board_init (void)
{
	gd->bd->bi_arch_number = MACH_TYPE_BCM1160;	/* board id for linux */
	gd->bd->bi_boot_params = CFG_ATAG_ADDR;	/* adress of boot parameters */

	return 0;
}

/**********************************************************
 * s_init - early system init of muxing and clocks
 **********************************************************/
void s_init(void)
{
}

/*****************************************************************
 * misc_init_r - miscellaneous platform dependent initializations
 ******************************************************************/
int misc_init_r (void)
{
	return(0);
}

/**********************************************
 * dram_init - sets uboots idea of sdram size
 **********************************************/
int dram_init (void)
{
	gd->bd->bi_dram[0].start = PHYS_SDRAM_1;
	gd->bd->bi_dram[0].size = PHYS_SDRAM_1_SIZE;

	return 0;
}

/*****************************************************************
 * peripheral_enable - enable the clks & power for perifs
 ******************************************************************/
void peripheral_enable(void)
{
#ifdef CFG_NS16550
	/* Enable UART1 clock */
#endif
}
