/*****************************************************************************
*  Copyright 2008 Broadcom Corporation.  All rights reserved.
*
*  Unless you and Broadcom execute a separate written software license
*  agreement governing use of this software, this software is licensed to you
*  under the terms of the GNU General Public License version 2, available at
*  http://www.gnu.org/licenses/old-license/gpl-2.0.html (the "GPL").
*
*  Notwithstanding the above, under no circumstances may you combine this
*  software in any way with any other Broadcom software provided under a
*  license other than the GPL, without Broadcom's express prior written
*  consent.
*
*****************************************************************************/

#include <common.h>
#include <command.h>

#if defined(CONFIG_CMD_SDHCI)

extern void sdhci_init(int dev_num);
/*
 * Command sdhci init.
 */

int do_sdhci(cmd_tbl_t *cmdtp, int flag, int argc, char *argv[])
{
	char *cmd;
	int ret = 1;

	cmd = argv[1];	
	if (strcmp(cmd, "init") == 0) {
		printf("Initializing SD/MMC...");
		if (argc == 2) {
			sdhci_init(1);	
		} else if (argc == 3) {
			sdhci_init(simple_strtoul(argv[2], NULL, 16));
		}
		printf(" complete.\n");
	} else {
		printf("Incorrect usage -- 'help sdhci'\n");
	}
	return ret;
}

U_BOOT_CMD(
	sdhci,	3,	1,	do_sdhci,
	"sdhci	- SD/MMC commands\n",
	"sdhci init <dev_num>	- Initialize device, <dev_num> defaults to 1 if not set\n"
	);

#endif
