/*
 * (C) Copyright 2009 TomTom BV <http://www.tomtom.com>
 *
 * See file CREDITS for list of people who contributed to this
 * project.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of
 * the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston,
 * MA 02111-1307 USA
 */

/*
 * Watchdog CPU (SoC) implementation
 */

#include <common.h>

#if defined(CONFIG_HW_WATCHDOG)

#include <watchdog.h>
#if defined(CONFIG_S5P6440)
#include <s5p6440.h>
#endif
#include <s5p64x0.h>

void hw_watchdog_activate(unsigned int activate)
{
	unsigned int wt_count = 0x8000;
	volatile S5P64XX_WATCHDOG *watchdog;
	watchdog = S5P64XX_GetBase_WATCHDOG();

	/* Disable watchdog */
	watchdog->WTCON = 0x0000;

	if (activate) {
		/* Initialize watchdog dat/count register */
		watchdog->WTDAT = wt_count;
		watchdog->WTCNT = wt_count;

		/* Enable watchdog timer */
		watchdog->WTCON = 0x8039;
	}
}

void hw_watchdog_reset(void)
{
	unsigned int wt_count = 0x8000;
	volatile S5P64XX_WATCHDOG *watchdog;
	watchdog = S5P64XX_GetBase_WATCHDOG();
	watchdog->WTCNT = 0x8000;
}

#endif /* CONFIG_HW_WATCHDOG */

