/*****************************************************************************
* Copyright 2006 - 2008 Broadcom Corporation.  All rights reserved.
*
* Unless you and Broadcom execute a separate written software license
* agreement governing use of this software, this software is licensed to you
* under the terms of the GNU General Public License version 2, available at
* http://www.broadcom.com/licenses/GPLv2.php (the "GPL"). 
*
* Notwithstanding the above, under no circumstances may you combine this
* software in any way with any other Broadcom software provided under a
* license other than the GPL, without Broadcom's express prior written
* consent.
*****************************************************************************/



#ifndef _BCM2153_H_
#define _BCM2153_H_

#include <asm/sizes.h>

/*
 * Don't do phys->virtual mapping in Linux Register files
 */
#define HW_IO_PHYS_TO_VIRT(x)  (x)
#define HW_IO_VIRT_TO_PHYS(x)  (x)

#include "asm/arch/reg_nand.h"
#include "asm/arch/reg_gpt.h"

#define HW_SDRAM_SIZE	0x04000000

/*
 * BCM2153 uses a 13 MHz clock
 */
#define UARTCLK		13000000

#define HW_SDM0_BASE	(HW_SDIO0_BASE)
#define HW_SDM1_BASE	(HW_SDIO1_BASE)
#define HW_SDM2_BASE	(HW_SDIO1_BASE)	// Only 2 cores.

/*
 *  System soft reset control register
 */

#define HW_SOFTRST_REG			0x88e0000

/*
 * Power up mode register
 */
#define REG_PUMR				__REG32( 0x08880018 )
#define REG_PUMR_UART_DLMODE	0x01
#define REG_PUMR_USB_DLMODE		0x10

/*
 * Boot 2 Image settings (For USB Download Mode)
 */
#define CFG_BCM_BOOT2_SIZE		"0xC000"		/* Size of Boot2 Image */
#define CFG_BCM_BOOT2_OFFSET	"0x74000"		/* Boot2 Offset on Nand */
#define CFG_BCM_BOOT2_LOADADDR	"0x80000000"	/* Load address */

#define CFG_BCM_ROOTFS_ADDR "0x02600000"
#define CFG_BCM_ROOTFS_SIZE "0x02800000"

#endif
