/* include/asm-arm/arch/bcm_vbusmon.h
 *
 * Copyright (C) 2008 TomTom BV <http://www.tomtom.com/>
 * Author: Pepijn de Langen <pepijn.delangen@tomtom.com>
 * Copyright (C) 2009 Broadcom Corporation
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 *
 */

#ifndef __ARCH_BCM_VBUS_H
#define __ARCH_BCM_VBUS_H
#include <linux/notifier.h>

#undef VBUSMON_DEBUG

#ifdef VBUSMON_DEBUG
#define VBUSMON_DBGPRINT(args...) printk(KERN_DEBUG PFX args)
#define VBUSMON_TRACE() printk(KERN_DEBUG PFX "%s (%s:%d)\n", __FUNCTION__, __FILE__, __LINE__)
#else
#define VBUSMON_DBGPRINT(args...)
#define VBUSMON_TRACE()
#endif


struct vbus_pdata {
	int (*config_vbusdetect) (int (*)(int));
	void (*cleanup_vbusdetect) (void);
	int (*poll_vbusdetect) (void);
	void (*do_suspend) (void);
	void (*do_resume) (void);
};

int vbusmon_register_notifier(struct notifier_block*);
int vbusmon_unregister_notifier(struct notifier_block*);
int vbusmon_poll(void);

#endif	/* __ARCH_BCM_VBUS_H */
