/*
 * (C) Copyright 2007
 * Authors: Aleksey Makarov, dmitry pervushin
 *
 * See file CREDITS for list of people who contributed to this
 * project.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of
 * the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston,
 * MA 02111-1307 USA
 */

#ifndef __CONFIG_H
#define __CONFIG_H

/* #define DEBUG 1 */

/*
 * High Level Configuration Options
 * (easy to change)
 */
//#define ET_DEBUG 1
//define this to enable sleep test
#define CONFIG_ENABLE_PM_TEST
#ifdef CONFIG_ENABLE_PM_TEST
#define CONFIG_PM_DEEP_SLEEP
#define DEEP_SLEEP_WAKEUP_RAM_BASE    0xC7FFFFFC
#endif

#define CONFIG_MMC		1
#define CFG_MMC_BASE		0xF0000000
#define CFG_MMC_SIZE		0x2000000

#define CONFIG_ARM1136		1	/* arm1136 CPU core  */
#define CONFIG_SIRFSOC		1	/* Titan SOC  */
#define CONFIG_SIRFSOC_EVB	1	/* Titan Evaluation Board */

#define CONFIG_SYS_CLK_FREQ	12000000	/* Crystal frequency, also the input to pll */
#define CONFIG_RTC_CLK_FREQ	32768		/* RTC frequency */

#ifdef CONFIG_ENABLE_PM_TEST
#define CONFIG_USE_IRQ	
#endif

#define CONFIG_CMDLINE_TAG		1		/* Enable passing of ATAGs  */
#define CONFIG_SETUP_MEMORY_TAGS	1		/* Setup memory tags */
#define CONFIG_INITRD_TAG		1       	/* Required for ramdisk support */

#define CONFIG_LCD			1		/* Undef this to disable boot splash */
//#define PANEL_TOSHIBA_WVGA
#define PANEL_SAMSUNG_WVGA
#define TITANFB_BOOTSPLASH_LAYER	0		/* If this is changed, change in the kernel also */
#define TITANFB_LAYER0_BASE		(0xc8000000 - 0x1000 - (2*0x177000))	/* for 128M RAM. If this is changed here, 
							 * should be changed in map.h in kernel also */
#define BMP_LOGO_BASE			0xc6000000
#define BMP_LOGO_MAX_SIZE		0x200000
#define BOARD_LATE_INIT			1		/* Boot splash is shown in board_late_init */

/*
 * Size of malloc() pool
 */
#define CFG_MALLOC_LEN	(CFG_ENV_SIZE + 128*1024)
#define CFG_GBL_DATA_SIZE	128	/* size in bytes reserved for initial data */
/*
 * select serial console configuration
 */

#define CFG_SIRFSOC_SERIAL 1
/* allow to overwrite serial and ethaddr */
#define CONFIG_ENV_OVERWRITE
#define CONFIG_CONS_INDEX	1
#define CONFIG_BAUDRATE	115200

#define CFG_BAUDRATE_TABLE	{ 9600, 19200, 38400, 57600, 115200 }

#define CFG_HZ 10000

#define CONFIG_NETMASK		255.255.255.0	/* talk on MY local net */
#define CONFIG_IPADDR		10.0.0.2	/* static IP I currently own */
#define CONFIG_SERVERIP		10.0.0.1	/* current IP of my dev pc */
#define CONFIG_GATEWAYIP	10.0.0.1
#define CONFIG_BOOTP_MASK	CONFIG_BOOTP_DEFAULT

#define CONFIG_BOOTFILE	"uImage"	/* file to load */

#define _MK_STRING(x)	#x
#define MK_STRING(x)	_MK_STRING(x)

#define CFG_KERNEL_IMAGE_START 0xf0204400
//#define CONFIG_BOOTARGS	"mem=63M console=ttyS0,115200n8 noinitrd root=/dev/nfs rw ip=on init=/bin/sh"
#define CONFIG_BOOTARGS "real_root=/dev/mmcblk0p2 mem=128M console=ttyS0 bootsplash=true bpp=24"
#ifdef CONFIG_SIRFSOC_LBF
#define CONFIG_BOOTDELAY	0
#define CONFIG_BOOTCOMMAND	"usbmsdinit" /* autoboot command	*/
#else
#define CONFIG_BOOTDELAY	2
#define CONFIG_BOOTCOMMAND	"cp.b "MK_STRING(CFG_KERNEL_IMAGE_START)" 0xc2008000 0x200000;bootm 0xc2008000" /* autoboot command	*/
#endif
/*
 * Miscellaneous configurable options
 */
#define CFG_LONGHELP	/* undef to save memory     */
#define CFG_PROMPT	"SiRFprima # "	/* Monitor Command Prompt   */
#define CFG_CBSIZE	256		/* Console I/O Buffer Size  */
/* Print Buffer Size */
#define CFG_PBSIZE	(CFG_CBSIZE+sizeof(CFG_PROMPT)+16)
#define CFG_MAXARGS	16		/* max number of command args   */
#define CFG_BARGSIZE	CFG_CBSIZE	/* Boot Argument Buffer Size    */

#define CFG_MEMTEST_START	0xC0000000	/* memtest works on */
#define CFG_MEMTEST_END		0xC8000000	/* 64 MB in DRAM    */

#define CFG_LOAD_ADDR		0xC2008000	/* default load address */
#define CFG_DMA_START_ADDR 	(0xC4000000-0x400000)
#undef	CFG_CLKS_IN_HZ		/* everything, incl board info, in Hz */

/*-----------------------------------------------------------------------
 * Stack sizes
 *
 * The stack sizes are set up in start.S using the settings below
 */
#define CONFIG_STACKSIZE	(128*1024)	/* regular stack */
#ifdef CONFIG_USE_IRQ
#define CONFIG_STACKSIZE_IRQ	(4*1024)	/* IRQ stack */
#define CONFIG_STACKSIZE_FIQ	(4*1024)	/* FIQ stack */
#endif

/*-----------------------------------------------------------------------
 * Physical Memory Map
 */
#define CONFIG_NR_DRAM_BANKS	1	/* we have 1 bank of DRAM */
#define PHYS_SDRAM_1		0xC0000000	/* SDRAM Bank #1 */
#define PHYS_SDRAM_1_SIZE	0x00400000	/* 64/16 = 4 MB */

#define PHYS_DRAM_BASE		0xC0000000
#define PHYS_DRAM_SIZE		0x08000000	/* 128MB, For 64MB, reduce this */

#define CFG_ENV_SIZE	0x10000	/* Total Size of Environment Sector */
#define CFG_ENV_OFFSET	(CFG_KERNEL_IMAGE_START-CFG_ENV_SIZE-CFG_MMC_BASE)	/* environment starts here  */

#define CFG_NO_FLASH 1
/*
 * drivers
 */

#define CONFIG_USB_DEVICE

#ifdef CONFIG_USB_DEVICE

/* Enable USB class drivers. Assign the USB controller also.*/
#ifdef CONFIG_SIRFSOC_LBF
#define CONFIG_USB_MSD			1	/* Controller USB1 */
#else
#define CONFIG_USB_TTY			0	/* Controller USB0 */
#define CONFIG_USB_ETHER		1	/* Controller USB1 */
#endif

#define CONFIG_USBD_MANUFACTURER        "SiRF"
#define CONFIG_USBD_PRODUCT_NAME        "bd2x0bd"
#define CONFIG_USBD_VENDORID            0x105B
#define CONFIG_USBD_PRODUCTID           0x9030
#endif

//#define CONFIG_SKIP_LOWLEVEL_INIT	1
#define CFG_ENV_IS_IN_MMC		1

#ifdef CONFIG_USB_ETHER
#define CONFIG_COMMANDS   (CFG_CMD_MISC | CFG_CMD_ENV | CFG_CMD_LOADB  | CFG_CMD_MMC  | CFG_CMD_NET | CFG_CMD_PING \
                        | CFG_CMD_MEMORY | CFG_CMD_BMP)
#else
#define CONFIG_COMMANDS   (CFG_CMD_MISC | CFG_CMD_ENV | CFG_CMD_LOADB  | CFG_CMD_MMC \
			| CFG_CMD_MEMORY | CFG_CMD_BMP)
#endif

#define LCD_DEFAULT_BPP         24
#define GPIO_LCD33_ON           153
#define GPIO_LCD_ENVDD          154
#define GPIO_LCD_ENVEE          155
#define GPIO_LCD_DE             119

/* PWM related configuration */
#define BACKLIGHT_PWM_NO        3
#define BACKLIGHT_PWM_GPIO_NO   7
#define PWM_CLK_RATE            12000000
#define PWM_FREQ_HZ             100000
#define PWM_DEFAULT_INTENSITY   50

#include <cmd_confdefs.h>

#endif
